% fig_03_05
% plot the circular helix
% equation (3.6)

clear all, clf reset % initialize memory and figure
a = 1; % radius of helix
b = 1/(2*pi); % pitch of helix
d = 1/(sqrt(a^2 + b^2)); % common term for components
S = linspace(0,4*pi,100); % vector of natural parameter values
X = a*cos(d*S); % x-component of vector function for curve
Y = a*sin(d*S); % y-component
Z = b*d*S; % z-component
plot3(X,Y,Z,'k') % plot the helix
axis equal, grid on, box on, hold on 
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')