% fig_03_16
% plot elliptic paraboloid
% equation (3.55)

clear all, clf reset % initialize memory and figure
u = linspace(-1,1,20); % vector of u-coords on parameter plane
v = linspace(-1,1,20); % vector of v-coords on parameter plane
[U,V]=meshgrid(u,v); % grid of points on parameter plane
SX = U + V; % x-component of vector function for surface, s=f(u,v)
SY = U - V; % y-component of s=f(u,v)
SZ = 2*(U.^2 + V.^2); % z-component of s=f(u,v)

% plot surface as 3D wire-frame with color
surf(SX,SY,SZ)
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')
title('elliptic paraboloid'), axis equal

% plot surface as contour map on parameter plane with color
figure, contourf(SX,SY,SZ,10)
colorbar, title('elliptic paraboloid')
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')
title('elliptic paraboloid'), axis equal, axis tight