% fig_03_18
% plot u-parameter curve on elliptic paraboloid
% equation (3.62)

clear all, clf reset % initialize memory and figure
u = linspace(-1,1,21); % vector of u-coords on parameter plane
v = linspace(-1,1,21); % vector of v-coords on parameter plane
[U,V]=meshgrid(u,v); % grid of points on parameter plane
SX = U; % x-component of vector function for surface, s=f(u,v)
SY = V; % y-component of s=f(u,v)
SZ = U.^2 + V.^2; % z-component of s=f(u,v)

% plot color mesh: wire-frame
mesh(SX,SY,SZ)
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')
title('mesh plot: elliptic paraboloid'), axis equal, hold on

% plot u-parameter curve c(u,0.7)
figure, plot(u,SZ(18,1:21))
xlabel('x-axis'), ylabel('z-axis')
title('u-parameter curve on elliptic paraboloid, v = 0.7')
axis equal, axis([-1 1 0 2])