% fig_03_29
% plot wireframes for elliptic, parabolic, and hyperbolic points
% equation (3.60) and variants thereof

clear all, clf reset % initialize memory and figure
u = linspace(-1,1,21); % vector of u-coords on parameter plane
v = linspace(-1,1,21); % vector of v-coords on parameter plane
[U,V]=meshgrid(u,v); % grid of points on parameter plane
SX = U; % x-component of vector function for surface, s=f(u,v)
SY = V; % y-component

% plot elliptic point
SZ = U.^2 + V.^2; % z-component
surf(SX,SY,SZ), colormap (white) % surface plot: wire-frame
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')
title('elliptic point'), axis equal

% plot parabolic point
SZ = U.^2; % z-component
figure, surf(SX,SY,SZ), colormap (white) % surface plot: wire-frame
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')
title('parabolic point'), axis equal

% plot hyperbolic point
SZ = U.^2 - V.^2; % z-component
figure, surf(SX,SY,SZ), colormap (white) % surface plot: wire-frame
xlabel('x-axis'), ylabel('y-axis'), zlabel('z-axis')
title('hyperbolic point'), axis equal

